@ECHO OFF

REM =======================================================================================
REM Script d'installation du Runtime VB5 et des ActiveX utiliss par les logiciels Dipisoft
REM ---------------------------------------------------------------------------------------
REM Version 1.0 du 14/02/2013 - par Damien PONNELLE - noCopyright  2013, Dipisoft
REM =======================================================================================

SET source=%~dp0%

IF DEFINED ProgramFiles(x86) GOTO x64
SET cible=%windir%\system32
GOTO suite

:x64
SET cible=%windir%\sysWOW64

:suite

ECHO Les fichiers vont tre copis vers : %cible%
ECHO.

CALL :traitement vb5fr.dll TRUE FALSE
CALL :traitement msvbvm50.dll TRUE FALSE
CALL :traitement mscomctl.ocx TRUE TRUE		|| REM utilis par quasiment toutes mes applis
CALL :traitement mscomct2.ocx FALSE TRUE	|| REM utilis par Dipiview
CALL :traitement mswinsck.ocx FALSE TRUE	|| REM utilis par LanAlertCenter et WakeOnLan
CALL :traitement msinet.ocx FALSE TRUE		|| REM utilis par DipiBoost, Dipisec, DipisoftUpdate, FreeZappette et WakeOnLan
CALL :traitement ossmtp.dll FALSE TRUE		|| REM utilis par LanAlertCenter et SendMail
CALL :traitement mciwndx.ocx FALSE TRUE		|| REM utilis par QuizzMote
CALL :traitement mscomm32.ocx FALSE TRUE	|| REM utilis par GoliaCOM
CALL :traitement mshflxgd.ocx FALSE TRUE	|| REM utilis par Cervo32
REM CALL :traitement msflxgrd.ocx FALSE TRUE	|| REM utilis par Cervo32
CALL :traitement richtx32.ocx FALSE TRUE	|| REM utilis par Cervo32

CALL :traitement rdo\adme.dll FALSE FALSE	|| REM utilis par Cervo32
CALL :traitement rdo\dtccm.dll FALSE FALSE	|| REM utilis par Cervo32
CALL :traitement rdo\dtctrace.dll FALSE FALSE	|| REM utilis par Cervo32
CALL :traitement rdo\dtcutil.dll FALSE FALSE	|| REM utilis par Cervo32
CALL :traitement rdo\msrdo20.dll FALSE TRUE	|| REM utilis par Cervo32
CALL :traitement rdo\rdocurs.dll FALSE FALSE	|| REM utilis par Cervo32

REM Le composant "wshom.ocx" utilis par MigrImp mais est dj prsent dans le systme, du coup on ne s'en occupe pas...

PAUSE

EXIT


:traitement
	REM Param 1 : nom du fichier  traiter
	REM Param 2 : traitement obligatoire (TRUE/FALSE)
	REM Param 3 : effectuer le REGSVR32 (TRUE/FALSE)

	SET traitement=TRUE

	IF %2==FALSE (
		IF NOT EXIST "%source%%1" (
			SET traitement=FALSE
		)
	)

	IF %traitement%==TRUE CALL :copie %1 %3

	GOTO:EOF

	
:copie
	REM Param 1 : nom du fichier  traiter
	REM Param 2 : effectuer le REGSVR32 (TRUE/FALSE)

	ECHO Traitement du fichier %1...
	
	COPY "%source%%1" "%cible%" >NUL
	
	IF %errorlevel%==0 (
		ECHO. Fichier copi avec succs
		
		IF %2==TRUE CALL :reg %1
	) ELSE (
		ECHO. Erreur %errorlevel% rencontre  la copie            /!\
	)
	
	ECHO.

	GOTO:EOF

	
:reg
	REM Param 1 : nom du fichier  traiter

	regsvr32 /s "%cible%\%~nx1"
	
	IF %errorlevel%==0 (
		ECHO. Fichier dclar avec succs
	) ELSE (
		ECHO. Erreur %errorlevel% rencontre  la dclaration      /!\
	)

	GOTO:EOF
